mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection System.Runtime.InteropServices.ComVisible(true)

Common forms of evidence include signatures and location of origin of code, but can potentially be anything. Objects of any type that are recognized by security policy represent evidence.

Security policy is composed of code groups; a particular assembly (the basic unit of code for granting security permissions) is a member of a code group if it satisfies the code group's membership condition. Evidence is the set of inputs to policy that membership conditions use to determine to which code groups an assembly belongs.

The class is a collection (see ) that holds a set of objects that represent evidence. This class holds two sets that correspond to the source of the evidence: host evidence and assembly evidence.

Policy can get evidence from two different sources when evaluating permissions for code.

is provided by the host, and can only be provided by hosts that have been granted the permission. Typically, this is evidence of the origin of the code and digital signatures on the assembly. Evidence about origin typically includes , , and evidence. Signatures refer to software publisher (AuthentiCode X.509v3 signature) and strong name identities. Both kinds of digital signature-based identity are built into the assembly, but must be validated and passed to policy by the host; when loaded, the security system verifies the signature. The system then creates the appropriate evidence and passes it to policy only if the corresponding signature is valid.

is part of the assembly itself. Developers or administrators can attach custom evidence to the assembly to extend the set of evidence for policy. Assembly evidence can only be added at the time of assembly generation, which occurs before the assembly is signed. The default policy of the security system ignores assembly-provided evidence, but policy can be extended to accept it.

Defines the set of information that constitutes input to security policy decisions. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new empty instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class from a shallow copy of an existing one.

  The instance from which to create the new instance. This instance is not deep-copied.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  To be added

  Initializes a new instance of the class from multiple sets of host and assembly evidence.

  The host evidence from which to create the new instance.
  The assembly evidence from which to create the new instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Void ``

  Use this method for evidence derived from the assembly.

  This method does not perform a check to prevent adding duplicate types of evidence. Many assembly evidence objects can exist at the same time.

  Adds the specified assembly evidence to the evidence set.

  Any evidence object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Void ``

  Use this method for evidence supplied by the host.

  This method does not perform a check to prevent adding duplicate types of evidence. Many host evidence objects can exist at the same time.

  Adds the specified evidence supplied by the host to the evidence set.

  Any evidence object.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void

  removes the evidence in the host and assembly enumerations, setting both to null.

  Removes the host and assembly evidence from the evidence set.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Void `` `` To be added

  Copies evidence objects to an .

  The target array to which to copy evidence objects. The zero-based position in the array to which to begin copying evidence objects.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of evidence objects in the evidence set.

- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Enumerates evidence provided by the assembly.

  An enumerator for evidence added by the method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Collections.IEnumerator To be added

  Enumerates all evidence in the set, both that provided by the host and that provided by the assembly.

  An enumerator for evidence added by both the method and the method.

- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Enumerates evidence supplied by the host.

  An enumerator for evidence added by the method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  Application code does not normally use this property.

  Gets a value indicating whether the evidence set is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  Application code does not normally use this property.

  Gets a value indicating whether the evidence set is thread-safe.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the evidence is locked.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Each evidence object in the specified evidence set is added to the assembly and host sets of the current evidence set, according to the sets from which it came.

  This method does not perform a check to prevent adding duplicate types of evidence. Many assembly and host evidence objects can exist at the same time.

  Merges the specified evidence set into the current evidence set.

  The evidence set to be merged into the current evidence set.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void ``

  The results of executing the method can be confirmed using the method and the method.

  Removes the evidence for a given type from the host and assembly enumerations.

  The type of the evidence to be removed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  This property is not normally used by application code.

  Gets the synchronization root.